import { BetaSchemaForm, ProFormInstance } from "@ant-design/pro-components";
import { useEffect, useMemo, useRef } from "react";
import { bannersConfig } from "./compFormConfig";
import { useModel } from "@umijs/max";

export function BannersConfig() {
    let { state, dispatch } = useModel('appPageConifg')
    const list = useMemo(() => {
        return state.tabs === 0 ? state.manList : state.womanList
    }, [state])
    const formRef = useRef<ProFormInstance>();
    // 提交表单
    const submit = async (values: any) => {
    }
    useEffect(() => {
        let thatConfig = list.find(item => item.componentType === "banners")
        formRef.current?.setFieldsValue(thatConfig)
    }, [list])
    return <BetaSchemaForm<any>
        formRef={formRef}
        layoutType={"Form"}
        size="small"
        colProps={{
            span: 12,
        }}
        grid={true}
        onFinish={submit}
        columns={bannersConfig()}
        onValuesChange={(changedValues: any, values: any) => {
            console.log("valuonValuesChangees", values, list)
            let thatConfig = list.find(item => item.componentType === "banners")
            if (thatConfig) {
                thatConfig.configs = values.configs
            }
            console.log(1111)
            dispatch({
                type: 'setAll', params: state.tabs === 0 ? {
                    manList: list,
                    index:state.index+1
                } : {
                    womanList: list,
                    index:state.index+1
                }
            })
            console.log(2222,state)
        }}
    />
}