import React, { useState, useImperativeHandle, forwardRef } from "react";
import { useModel } from "@umijs/max";
import { BannersConfig } from "./compConfig";
import styles from './index.less'
import { useSize } from "ahooks";
// 定义组件的 Props 类型
interface Props {
}

// 使用 forwardRef 以支持传递 ref
const SetData = forwardRef((props: Props, ref) => {
    const { state, dispatch } = useModel("appPageConifg")
    const size = useSize(document.querySelector(".ant-drawer-body"))
    // 使用 useImperativeHandle 暴露方法给父组件
    useImperativeHandle(ref, () => ({
    }));

    return <div className={styles.set} style={{ height: size?.height ? size.height - 50 : 'auto' }}>
        {state.compAc === 'banners' && <div> <BannersConfig /></div>}
        {state.compAc === '' && <div>选中组件可设置内容</div>}
    </div>
});

export default SetData;