import { BetaSchemaForm, useToken } from "@ant-design/pro-components";
import { Carousel } from "antd";
import styles from './index.less'
export function Banners(props: { data: any[] }) {
    const { token } = useToken()
    let { data } = props
    return <Carousel autoplay autoplaySpeed={5000} className={styles.banners}>
        {
            data?.length === 0 ? <div style={{ borderRadius: "10px" }}>
                <div className={styles.banners_box} style={{ background: token.colorBgBase, display: "flex", alignItems: 'center', justifyContent: 'center' }}>
                    选中我在右侧配置内容
                </div>
            </div> : data?.map((item: any, index: number) => {
                return <div key={index} style={{ borderRadius: "10px" }}>
                    <div className={styles.banners_box}  >
                        <img src={item?.bannerImage} style={{ objectFit: 'cover', width: "100%", height: "100%", borderRadius: "10px" }} />
                    </div>
                </div>
            })
        }
    </Carousel>
}

